Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer.replay
Class Replayer

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.replay.Replayer

All Implemented Interfaces:
  MyEvents, EventCallback

    public class Replayer

extends java.lang.Object
implements MyEvents, EventCallback

Field Summary

Fields inherited from interface org.mpisws.p2p.testing.transportlayer.replay.MyEvents
`EVT_BOOT, EVT_PUBLISH, EVT_SUBSCRIBE`

Constructor Summary
`Replayer(Id id, java.net.InetSocketAddress addr, java.net.InetSocketAddress bootaddress, long startTime, long randSeed)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `printLog(java.lang.String arg, Environment env)`
`void` | `replayEvent(short type, InputBuffer entry)`
`static void` | `replayNode(Id id, java.net.InetSocketAddress addr, java.net.InetSocketAddress bootaddress, long startTime, long randSeed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replayer

    public Replayer(Id id,
                    java.net.InetSocketAddress addr,
                    java.net.InetSocketAddress bootaddress,
                    long startTime,
                    long randSeed)
             throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### replayNode

    public static void replayNode(Id id,
                                  java.net.InetSocketAddress addr,
                                  java.net.InetSocketAddress bootaddress,
                                  long startTime,
                                  long randSeed)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printLog

    public static void printLog(java.lang.String arg,
                                Environment env)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Parameters:
    `args` -
  Throws:
    `java.lang.Exception`

### replayEvent

    public void replayEvent(short type,
                            InputBuffer entry)

  Specified by:
    `replayEvent` in interface `EventCallback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.